---
title: "Internet ? C'est quoi #01"
date: 2020-08-02T20:45:53+02:00
author: "Romain de Laage"
tags: ["internet","neutralité","décentralisation"]
keywords: ["internet","neutralité","décentralisation"]
draft: false
---

# Qu'est-ce qu'Internet ?

On utilise quasiment tous Internet au moins une fois par semaine si ce n'est au quotidien. Mais qui sait réellement ce qu'est Internet ? Comment cela fonctionne ? Quels sont les enjeux liés à cette technologie ?

Cet article propose un aperçu rapide sur ces questions et donne des références afin de continuer à se documenter. Il n'a pas pour but d'être un tutoriel ou un cours mais un simple passeur vers des ressources. De plus cet article peut être incomplet voire inexact, je ne suis pas (encore ?) un expert en réseau et d'Internet. Si vous avez des suggestions ou des remarques n'hésitez pas à m'en faire part.

## Internet, un réseau de réseaux

C'est l'une des manières les plus courantes de présenter Internet, Internet est un réseau de réseaux. Mais avant tout, qu'est-ce qu'un réseau ? Selon Wikipédia, il s'agit d'un ensemble de relations. On connecte entre eux plusieurs individus. Mais comment ? Bien sûr tout le monde voit les lignes téléphoniques, les câbles de fibre optique, les câbles RJ45 que l'on branche dans son PC ou encore les ondes Wi-Fi, ils font partie du réseau au sens où ils permettent physiquement de relier deux machines donc deux individus, quand il ne s'agit pas d'ondes un signal passe dans les câbles et les fibres, dans le premier cas il s'agit de signaux électriques et dans le second de signaux lumineux (laser).

En plus de ces liaisons physiques, il faut que les dispositifs connectés entre eux puissent se comprendre, c'est comme lors d'une conversation entre humains, si on ne se met pas d'accord sur des règles (appelées langues dans ce cas) on ne peut pas se comprendre. En informatique on appelle ces règles des protocoles, il en existe plusieurs qui servent à différentes choses. Je vous laisse approfondir ce sujet en vous laissant une petite liste de lecture.

La localisation d'une machine sur un réseau se fait via un identifiant, vous avez probablement déjà entendu parler d'adresse IP, c'est un identifiant permettant de localiser une machine sur un réseau, à priori il y en a une unique par machine. Le fait de pouvoir être identifié sur l'Internet par son adresse IP est un frein à l'anonymat et donc bien souvent à la liberté, mais cela a pour avantage d'améliorer les politiques de sécurité pratiquées par les états en sachant retrouver assez facilement des individus aux activités illégales. Il existe des manière d'anonymiser sa connexion, par exemple en utilisant des réseaux comme le réseau Tor.

## Du réseau aux réseaux

On vient de voir la notion de réseau au singulier mais Internet est un réseau de réseaux, il faut les connecter entre eux et un utilisateur d'un réseau veut être capable de contacter l'utilisateur d'un autre réseau, tout cela malgré l'utilisation de réseaux différents et de technologies qui peuvent aussi être différentes. Pour identifier les machines auxquelles on souhaite parler on utilise les adresses IP, par exemple 254.179.122.43 est une adresse IP (ici version 4). Dans une telle adresse IP il y a un préfixe et un suffixe, pour faire simple le préfixe représente le réseau auquel est connecté la machine et le suffixe c'est la localisation de cette machine au sein du réseau.

Maintenant que l'on sait ce qu'est une adresse IP il faut savoir comment se fait la liaison entre les deux utilisateurs. Déjà il faut savoir que pour communiquer sur ces réseaux les utilisateurs sont connectés à un routeur qui s'occupe de retransmettre les données au bon endroit, il s'occupe des routes (c'est une fonctionnalités des box que vous fournissent les FAI). Ce routeur va regarder le préfixe et déterminer quel chemin doit emprunter l'information, si c'est sur son propre réseau alors il le renvoie directement pour que le destinataire reçoive le message, si c'est sur un réseau auquel il est directement lié il va l'envoyer au routeur qui s'occupe de ce réseau et celui-ci se chargera de transmettre l'information au destinataire, sinon il essaie de le transmettre à une de ses connaissances qui sera mieux placer pour transmettre l'information. Il existe des protocoles pour que les routeurs puissent s'échanger des routes et déterminer quel sera le meilleur chemin.

Il faut savoir qu'Internet a été conçu pour être neutre et décentralisé. C'est à dire que d'une part ceux qui gère l'infrastructure que nous venons de décrire (les différents réseaux et routeurs) ne peuvent ni consulter, ni les perturber, ni les modifier, ni interdire vos communications. D'autre part il n'y a pas d'autorité centrale sur ce réseau, ce qui laisse libre chacun de gérer son propre réseau comme il le souhaite et en plus de rendre le réseau résistant à diverses panne. D'ailleurs ces deux propriétés d'Internet se retrouvent souvent menacées par l'émergence d'acteurs avec un quasi monopole comme les GAFAM pour les fournisseurs de contenu ou les BOFS pour les opérateurs de télécommunications.

## Usages d'Internet

Nous venons de le voir, Internet est un réseau de réseaux qui permet de communiquer avec n'importe qui connecté à ce réseau. Cependant cela ne suffit pas, il faut des outils qui permettent d'utiliser ce réseau, des applications ou des logiciels.

Une des utilisations les plus célèbres d'Internet est le World Wide Web, ce fameux espace accessible depuis un navigateur web comme Firefox et où l'on peut *surfer* de page en page via les liens hypertexte. Il est à noter que cette utilisation d'Internet n'est qu'une utilisation parmi tant d'autres possibles. Les protocoles utilisés pour le web sont HTTP et HTTPS.

Parmi les autres utilisations possibles on a le VoIP (voix sur IP) qui correspond au domaine de la téléphonie par Internet. Il y a le SSH qui permet de contrôler un ordinateur à distance, le FTP qui permet le partage de fichiers, les jeux en ligne, ... Bref Internet est un espace où beaucoup de choses sont possibles, il suffit de faire fonctionner son imagination.

Tout le monde peut, s'il le souhaite, partager des services web ou autre sur Internet. Cela va de pair avec le caractère décentralisé d'Internet. Il ne faut pas croire que les GAFAM sont les seuls à pouvoir fournir du contenu, ils ont certes beaucoup de puissances mais ne sont pas les seuls à pouvoir décider pour les autres. Vous pouvez ne pas vouloir vendre vos données, ne pas accepter leurs CGU. Vous pouvez par exemple jeter un œil à ce que font les CHATONS. Il en est de même avec les FAI, les gros BOFS essaient d'imposer leurs règles à cause de leur quasi monopole, cependant de plus petits acteurs existent avec des visions différentes d'Internet, encore une fois vous pouvez aller voir du côté de la FFDN (les CHATONS et la FFDN ne sont pas les seuls à fournir des alternatives mais sont, en tout cas de moi, les plus connus).

## Liste de lecture

Vous trouverez ci-dessous une liste de lecture pour approfondir le sujet, n'hésitez pas non plus à vous renseigner par vous même notamment chez les acteurs cités dans l'article (FFDN, CHATONS, BOFS, GAFAMS, Firefox, ...) cela peut vous aider à vous forger votre propre avis sur la question et au passage à en apprendre encore plus.

* [Qu'est-ce qu'un réseau ?](https://www.tuteurs.ens.fr/theorie/reseaux.html), [Comment marche Internet](https://www.tuteurs.ens.fr/theorie/internet.html), deux articles sur le sites des Tuteurs Informatique de l'ENS qui sont assez clairs pour moi et qui fournissent une bonne vue d'ensemble sur le sujet. Par ailleurs ils fournissent d'autres contenus sur le monde UNIX.
* *Cyberstructure* de Stéphane Brotzmeyer, ingénieur à l'AFNIC qui communique et vulgarise pas mal de sujets liés à Internet. Vous pouvez consulter son [blog](https://www.bortzmeyer.org/).
* [Les réseaux informatiques](https://fr.wikibooks.org/wiki/Les_r%C3%A9seaux_informatiques), un cours sur WikiBooks qui semble donner des bonnes bases, je ne l'ai pas lu entièrement mais de ce que j'ai parcouru il a l'air pas mal.
* [Les réseaux de zéro](https://zestedesavoir.com/tutoriels/2789/les-reseaux-de-zero/), un autre cours sur le site zeste de savoir que j'apprécie fortement.
* [Page à propos de Tor](https://www.torproject.org/about/history/)
* Sites d'association : [La quadrature du Net](https://www.laquadrature.net), [Framasoft](https://framasoft.org/fr/), [FFDN](https://www.ffdn.org/)

## Conclusion

Voilà tout pour l'article d'aujourd'hui, ce n'était pas quelque chose de très complet mais plutôt une introduction. Il est fort probable que je publie d'autres articles sur le sujet, notamment des exemples par la pratique ou encore des explications sur certaines questions éthiques liées à l'Internet, au big data, à la consommation, ...
