+++
title = "Gérez vos mots de passe avec pass"
date = "2020-07-23"
author = "Romain de Laage"
#authorTwitter = "" #do not include @
#cover = ""
tags = ["sécurité", "chiffrement", "GPG"]
keywords = ["sécurité", "chiffrement", "GPG"]
description = "Pass est un gestionnaire de mot de passe se voulant être un standard suivant la philosophie UNIX"
showFullContent = false
+++
# Gérez vos mots de passe avec pass

C'est assez galère de retenir tous ses mots passe pour ses comptes en lignes, certains sites veulent des mots de passe long avec caractères spéciaux, majuscules, minuscules et chiffres quand d'autres sites ne veulent pas de caractères spéciaux voire même seulement des chiffres. Ainsi, certains font le choix d'utiliser un nombre restreint de mots de passe, vous avez probablement déjà entendu que c'est une mauvaise idée. C'est également une mauvaise idée de les noter en clair dans un bloc-notes ou sur un post-it. La solution est donc d'utiliser un gestionnaire de mots de passe qui s'occupe de chiffrer vos mots de passe de façon à ce que seuls ceux qui connaissent le mot de passe principal (dit maître) puissent y accéder, mais il peut être difficile de faire un choix parmi toutes les possibilités. Aujourd'hui, je vous présente pass, un gestionnaire de mots de passe présenté comme un standard suivant le modèle UNIX.

[Pass](https://www.passwordstore.org/) est en réalité un script bash qui automatise la gestion des mots de passe dans une arborescence et chaque fichier correspondant à une entrée (un mot de passe) est chiffré à l'aide de gpg, tout cela est transparent pour l'utilisateur final. Plusieurs algorithmes de chiffrement peuvent être utilisés dont le fameux AES utilisé par la plupart des gestionnaires de mots de passe (la liste des algorithmes supportés est disponible en tapant `gpg --version`). Le gestionnaire de mots de passe gère le partage des mots de passe en ajouter la clé gpg publique des autres personnes (on peut ne partager qu'une partie). La synchronisation peut se faire par git et plusieurs extensions sont compatibles, notamment l'import des mots de passe d'autres gestionnaires et la prise en charge des OTP, mots de passe à usage unique.

Concernant les clients compatibles, il y a le client officiel en ligne de commande mais il y a aussi l'interface graphique [QtPass](https://qtpass.org/) pour Linux, MacOS, Windows, *BSD, ... Il y a également un client Android avec [android password-store](https://github.com/android-password-store/Android-Password-Store).

Une page de documentation sortira bientôt pour expliquer en détail le fonctionnement de ce gestionnaire de mots de passe.
